services:
  sbc-capital-php-apache:
    container_name: sbc-capital-php-apache
    hostname: sbc-capital-php-apache
    image: sbc-capital-php-apache
    ports:
      - 2222:22
      - 80:80     # 80:80
      - 443:443   # 443:443
      # - 5173:5173 # vite for www
      # - 5174:5174 # vite for investors
      # - 5175:5175 # vite for business
      # - 5176:5176 # vite for partners
      # - 5177:5177 # vite for admin
      # - 5178:5178 # vite for my
    environment:
      WWWUSER: '${WWWUSER}'
      LARAVEL_SAIL: 1
      XDEBUG_MODE: '${SAIL_XDEBUG_MODE:-off}'
      XDEBUG_CONFIG: '${SAIL_XDEBUG_CONFIG:-client_host=host.docker.internal}'
      IGNITION_LOCAL_SITES_PATH: '${PWD}'
      NODE_ENV: production
    volumes:
      - ${HOME}/sbc/www/sbc-capital:/var/www/html
      - ${HOME}/sbc/www/sbc-capital/sbc-capital-php-apache/logs:/var/log/apache2
    networks:
      - sbc-capital-net
networks:
  sbc-capital-net:
    external: true
